> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/resman/billing-and-payments/get-fee-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get fee by ID GET https://api.propexo.com/v1/fees/{fee_id} Get fee by ID Reference: https://docs.propexo.com/api-reference/resman/billing-and-payments/get-fee-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `fee_id` (string, required) — The ID of the resource. ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (Fee, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### Fee - `id` (string, required) — The Propexo unique identifier for the fee - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 | - `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for RESMAN - `x_charge_code_id` (any, required) — The external ID of the charge code from the integration vendorThis field will always be null for RESMAN - `x_floor_plan_id` (any, required) — The external ID of the floor plan from the integration vendorThis field will always be null for RESMAN - `x_unit_id` (any, required) — The external ID of the unit from the integration vendorThis field will always be null for RESMAN - `amount_in_cents` (double, required, nullable) — The amount of the fee, in cents | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 | - `amount_raw` (string, required, nullable) — The raw value for amount from the PMS | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 | - `charge_code_name` (any, required) — The name of the charge codeThis field will always be null for RESMAN - `description` (any, required) — Description of the feeThis field will always be null for RESMAN - `name` (string, required, nullable) — The name associated with the fee | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 | - `custom_data` (map from string to any, required, nullable) — Custom data - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `RESMAN`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `YARDI`, `YARDI_REST` - `property_id` (string, required) — The Propexo unique identifier for the property - `floor_plan_id` (any, required) — The Propexo unique identifier for the floor planThis field will always be null for RESMAN - `unit_id` (any, required) — The Propexo unique identifier for the unitThis field will always be null for RESMAN - `charge_code_id` (any, required) — The Propexo unique identifier for the charge codeThis field will always be null for RESMAN ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "8f8d80c026256e01d03852aaa3e0e145d790c8b6a4937ce62c65ed60af21aab3", "x_property_id": "d3a291f2-d597-48fb-9f82-eb1fa5ae1e0b", "x_location_id": null, "x_charge_code_id": null, "x_floor_plan_id": null, "x_unit_id": null, "amount_in_cents": 1425, "amount_raw": "14.25", "charge_code_name": null, "description": null, "name": "Admin", "custom_data": {}, "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "RESMAN", "property_id": "clwi5xiix000008l6ctdgafyh", "floor_plan_id": null, "unit_id": null, "charge_code_id": null } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/fees/fee_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/fees/fee_id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/fees/fee_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/fees/fee_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/fees/fee_id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/fees/fee_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/fees/fee_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/fees/fee_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```